#
# Conditional build:
%bcond_without	static_libs	# static libraries
#
%define		gstapi	1.6
Summary:	GStreamer plugin to support Video Acceleration API
Summary(pl.UTF-8):	Wtyczka GStreamera obsługująca Video Acceleration API
Name:		gstreamer-vaapi
Version:	0.6.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/%{name}-%{version}.tar.bz2
# Source0-md5:	f01425481bd161f57334dab7ab4069d3
Patch0:		%{name}-link.patch
URL:		http://www.freedesktop.org/wiki/Software/vaapi/
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	Mesa-libGL-devel
BuildRequires:	Mesa-libGLES-devel
BuildRequires:	autoconf >= 2.66
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gstreamer-devel >= 1.6.0
BuildRequires:	gstreamer-plugins-bad-devel >= 1.6.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.6.0
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libdrm-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libva-devel >= 1.6.0
BuildRequires:	libva-drm-devel >= 1.1.0
BuildRequires:	libva-wayland-devel >= 1.1.0
BuildRequires:	libva-x11-devel >= 1.0.3
BuildRequires:	pkgconfig
# libva API versions
BuildRequires:	pkgconfig(libva) >= 0.38.0
BuildRequires:	pkgconfig(libva-drm) >= 0.33.0
BuildRequires:	pkgconfig(libva-wayland) >= 0.33.0
BuildRequires:	pkgconfig(libva-x11) >= 0.31.0
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= 1.0.2
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
%ifarch %{ix86} %{x8664} x32
BuildRequires:	yasm
%endif
Requires:	glib2 >= 1:2.32.0
Requires:	gstreamer >= 1.6.0
Requires:	gstreamer-plugins-bad >= 1.6.0
Requires:	gstreamer-plugins-base >= 1.6.0
Requires:	libva >= 1.6.0
Requires:	wayland >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gstreamer-vaapi consists in a collection of VA-API based plugins for
GStreamer and helper libraries.

%description -l pl.UTF-8
gstreamer-vaapi zawiera zestaw opartych ma VA-API wtyczek dla
GStreamera i bibliotek pomocniczych.

%package devel
Summary:	Header files for GStreamer VA-API libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek VA-API GStreamera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-devel >= 1.6.0
Requires:	gstreamer-plugins-base-devel >= 1.6.0
Requires:	libva-devel >= 1.6.0
Requires:	libva-drm-devel >= 1.1.0
Requires:	libva-wayland-devel >= 1.1.0
Requires:	libva-x11-devel >= 1.0.3

%description devel
Header files for GStreamer VA-API helper libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek pomocniczych VA-API GStreamera.

%package static
Summary:	Static GStreamer VA-API libraries
Summary(pl.UTF-8):	Statyczne biblioteki VA-API GStreamera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GStreamer VA-API libraries.

%description static -l pl.UTF-8
Statyczne biblioteki VA-API GStreamera.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-builtin-codecparsers \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make} V=1 \
	HAVE_GNU_STRIP=no \
	CC="%{__cc}" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# gstreamer module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgst*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstcodecparsers_vpx.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-drm-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-egl-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-egl-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-glx-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-x11-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi_parse.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-egl-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so
%{_includedir}/gstreamer-1.0/gst/vaapi
%{_pkgconfigdir}/gstreamer-vaapi-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-drm-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-glx-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-wayland-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-x11-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgstcodecparsers_vpx.a
%{_libdir}/libgstvaapi-%{gstapi}.a
%{_libdir}/libgstvaapi-drm-%{gstapi}.a
%{_libdir}/libgstvaapi-egl-%{gstapi}.a
%{_libdir}/libgstvaapi-glx-%{gstapi}.a
%{_libdir}/libgstvaapi-wayland-%{gstapi}.a
%{_libdir}/libgstvaapi-x11-%{gstapi}.a
%endif
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-vaapi.git;a=log;h=master

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 2813e86
- updated to 0.6.1
- adjusted for gstreamer 1.6

* Sun Sep 13 2015 Jan Rękorajski <baggins@pld-linux.org> cfba30f
- fix building of internal libvpx (configure was broken due to missing CC)
- rel 2

* Tue Aug 04 2015 Jakub Bogusz <qboosh@pld-linux.org> a2965d5
- added link patch (fixes libgstvaapi-egl linking)

* Tue Aug 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 4771ed9
- updated to 0.6.0

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> df85644
- updated to 0.5.10 (note: new sonames)

* Thu Jul 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 602e2ec
- updated to 0.5.9, adjusted for gstreamer 1.4

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> a37dea9
- updated to 0.5.8 (note: new sonames)

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> f465fd4
- updated to 0.5.7
- removed obsolete git patch

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> f29a028
- Added patch for gstreamer 1.2 (note: new sonames), release 2

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 0727110
- updated to 0.5.6

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> f972178
- updated to 0.5.5.1 (note: new sonames)

* Fri Jun 28 2013 Jakub Bogusz <qboosh@pld-linux.org> db5f0d5
- updated to 0.5.4 (note: new sonames)

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> ee34230
- updated to 0.5.3, now supports gstreamer 1.0 API

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> f9adce0
- up to 0.5.2; gstreamer 1.0 not supported yet

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 11dd6f5
- new spec, needs to wait for upstream updates for gstreamer 1.0

